Bug 246071 - Fedora Review Request is outdated
Fedora Review Request is outdated
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
https://bugzilla.redhat.com/bugzilla/...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 07:00 EDT by Till Maas
Modified: 2013-06-23 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 17:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-06-28 07:00:34 EDT
The review Request Template at:
https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=extras-review

is outdated:

- it mentions Fedora Extras
- it mentions FE-NEW

Also, imho it would be better to create a new Template with the name "review",
so that it would be available at this URL:
https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=review
Comment 1 Peter Lemenkov 2008-05-17 13:37:59 EDT
Review Request Template was updated. We should close this bug
Comment 2 Till Maas 2008-05-18 11:01:12 EDT
I do not know what you updated, but the issues I mentioned in comment #1 do
still apply.
Comment 3 David Lawrence 2008-09-16 12:55:22 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 4 David Lawrence 2010-01-15 11:55:03 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.
Comment 5 Till Maas 2010-01-15 12:10:17 EST
The look has changed, but the issues i mentioned in comment 1 do still apply.
Comment 6 David Lawrence 2010-08-25 17:40:41 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 7 Till Maas 2010-08-25 18:05:59 EDT
FE-NEW is still mentioned and it is still called extras-review.
Comment 8 David Lawrence 2010-08-26 14:48:26 EDT
I cam move this template to format=review but I need to be assured this will not break others' links to the old URL. Where is it that still references this enter_bug.cgi template and maybe we can get them involved to update their links at the same time?

Also should the words Extras and FE-NEW just be simply removed or is their better documentation to go in their place?

Dave
Comment 9 Till Maas 2010-08-26 15:11:26 EDT
The word "Extras" can just be removed from the title.

Instead of:
"Once submitted, the request will be automatically attached to the FE-NEW blocker report and the appropriate people notified."

A link to the respective wiki page might be better:
"With this template, you can create a package review request according to the Package Review Process"

and link "Package Review Process" to "https://fedoraproject.org/wiki/Package_Review_Process". Or if a link is not possible, use the link instead of "the Package Review Process".

Above wiki page is also the only official place that links to the template, but the link might also be used in private bookmarks. If it is not possible to create a redirection from the old to the new URL, I guess it is not that bad to keep the "extras-review" format.


Btw. I just noticed that the description for the Package Review component still mentions "Core", which can just be removed: "Package Review of new Fedora Core packages"
Comment 10 David Lawrence 2010-08-27 10:21:50 EDT
(In reply to comment #9)
> Above wiki page is also the only official place that links to the template, but
> the link might also be used in private bookmarks. If it is not possible to
> create a redirection from the old to the new URL, I guess it is not that bad to
> keep the "extras-review" format.

Not really possible to do a redirect. And I would like to rename the template to fedora-review going forward. Would it be possible to in addition to updating the Wiki page, also to send an email to some Fedora announce list stating the change and for people to update their bookmarks?

> Btw. I just noticed that the description for the Package Review component still
> mentions "Core", which can just be removed: "Package Review of new Fedora Core
> packages"

Fixed
Comment 11 Till Maas 2010-08-27 10:34:48 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Above wiki page is also the only official place that links to the template, but
> > the link might also be used in private bookmarks. If it is not possible to
> > create a redirection from the old to the new URL, I guess it is not that bad to
> > keep the "extras-review" format.
> 
> Not really possible to do a redirect. And I would like to rename the template
> to fedora-review going forward. Would it be possible to in addition to updating
> the Wiki page, also to send an email to some Fedora announce list stating the
> change and for people to update their bookmarks?

Yes, the appropriate announce list is this one:
https://admin.fedoraproject.org/mailman/listinfo/devel-announce
Comment 12 David Lawrence 2010-09-03 17:44:05 EDT
Okay I have made the requested changes in our internal SVN repo. Unless something else critical needs to be pushed out before, this will take effect next Thursday, Sept. 9th when we do our normal updates.

Please update the wiki page before then and email the devel-announce list for people to update their bookmarks.

Thanks
Dave
Comment 13 Till Maas 2010-09-03 19:22:41 EDT
(In reply to comment #12)
> Okay I have made the requested changes in our internal SVN repo. Unless
> something else critical needs to be pushed out before, this will take effect
> next Thursday, Sept. 9th when we do our normal updates.
> 
> Please update the wiki page before then and email the devel-announce list for
> people to update their bookmarks.

Ok, I will do this. What exactly will be the new URL? Will it be
https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=review

or

https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=fedora-review
Comment 14 David Lawrence 2010-09-04 16:12:41 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > Okay I have made the requested changes in our internal SVN repo. Unless
> > something else critical needs to be pushed out before, this will take effect
> > next Thursday, Sept. 9th when we do our normal updates.
> > 
> > Please update the wiki page before then and email the devel-announce list for
> > people to update their bookmarks.

https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=fedora-review

Dave

Note You need to log in before you can comment on or make changes to this bug.